These game settings can be modified by specifying them in a map's description. Multiple settings can be specified by separating them with commas (Example: DHT=750, MinDHT=4, MaxDHT=20)

Quote:
ShipSpeed: Speed of ships. Range is 0-200. Normal is 100.

LaserDamage: The amount of damage a laser does. Range is 0-225. Normal is 27.

LaserEnergy: The amount of blue bar it takes to shoot a laser. Range is 0-57. Normal is 12. A setting of 57 will effectively disable the weapon.

LaserTTL: How long a laser will last before dying out. Range is 0-10000. Normal is 480.

LaserSpeed: How fast a laser moves. Range is 0-100. Normal is 50. Higher = faster.

MissileDamage: The amount of damage a missile does. Range is 0-225. Normal is 102.

MissileEnergy: The amount of blue bar it takes to shoot a missile. Range is 0-57. Normal is 37. A setting of 57 will effectively disable the weapon.

MissileTTL: How long a missile will last before dying out. Range is 0-10000. Normal is 480.

MissileRecharge: How fast a missile charges up. Range is 0-100000. Normal is 945. Lower = faster recharge

MissileSpeed: How fast a missile moves. Range is 0-100. Normal is 50. Higher = faster.

BouncyDamage: The amount of damage a bouncy does. Range is 0-225. Normal is 48.

BouncyEnergy: The amount of blue bar it takes to shoot a bouncy. Range is 0-57. Normal is 12. A setting of 57 will effectively disable the weapon.

BouncyTTL: How long a bouncy will last before dying out. Range is 0-10000. Normal is 970. SuperBouncy mode is 9700.

BouncyRecharge: How fast a bouncy charges up. Range is 0-100000. Normal is 765. Lower = faster recharge

BouncySpeed: How fast a bouncy moves. Range is 0-100. Normal is 50. Higher = faster.

NadeDamage: The amount of damage a nade shrapnel does. Range is 0-225. Normal is 21.

NadeEnergy: The amount of blue bar it takes to shoot a nade. Range is 0-57. Normal is 19. A setting of 57 will effectively disable the weapon.

ShrapTTL: How long a grenade shrapnel will last before dying out. Range is 0-10000. Normal is 128.

ShrapSpeed: How fast a grenade shrapnel moves. Range is 0-100. Normal is 50. Higher = faster.

NadeRecharge: How fast a nade charges up. Range is 0-100000. Normal is 1950. Lower = faster recharge

NadeSpeed: How fast a nade moves. Range is 0-100. Normal is 50. Higher = faster.

HealthBonus: How much health you get for a kill. Range is 0-224. Normal is 60.


Quote:
All of the above settings can be set separately for flaggers by prefixing the setting name with an F (FHealthBonus instead of HealthBonus). These settings must appear AFTER the normal setting in the map description (if the corresponding normal setting is specified).

Damage settings refer to the amount of damage received by the ship. So, for example, "LaserDamage=225, FLaserDamage=0" means that a non-flagging ship will die from one laser hit, but a flagging ship will take no damage at all from lasers.

FShipSpeed is relative to ShipSpeed, so "ShipSpeed=200, FShipSpeed=50" means that a flagging ship moves at 50% of a non-flagging ship's speed (100 in this case).


Quote:
DHT: Dynamic holding time. Sets the holding time to (DHT x number of players in game). Specified in milliseconds.

MinDHT: Minimum dynamic holding time. If DHT is used, the holding time will not be less than this. Specified in seconds.

MaxDHT: Maximum dynamic holding time. If DHT is used, the holding time will not be more than this. Specified in seconds.

ElectionTime: For assassin maps, the time teams have to grab a flag. Specified in seconds. Default is 50.

HealthDecay: Amount of health player will lose per second. 0-224

RepairRate: Amount of health a player will gain per second while on a repair tile. 0-244. Default is 2.

FRepairRate: Same, for flaggers.

DisableSwitchSound: Disables the switch notification sound. Can be 0 or 1.

TurretHealth: Amount of health for turrets. Default is 224.

DominationWin: Points that a team must get to win a round on a domination map. Default is 9999999.

SwitchWin: Number of switches a team must get to win a round on a switch map.

InvisibleMap: Disables drawing of the map. Can be 0 or 1.

FogOfWar: Enables fog of war shading in that map. Can be 0 or 1.

HoldingTime: The base holding time. Same as typing the number into Sedit's "Holding Time" blank except it also allows a base holding time of 0 (which Sedit does not). Specified in seconds. Range is 0-255


The following five settings add time to the base holding time, and are only applied after the first spawn of the round. They are all specified in milliseconds. Ranges are -999999 to 999999.

DHT_players: Adds time for each player in the game.

DHT_time: Adds time for each elapsed minute of the game.

DHT_deaths: Adds time for each death that player has.

DHT_score: Adds time for each cap that player's team has.

DHT_turrets: Adds time for each dead turret on that player's team.


DHT_minimum: Minimum total holding time. Specified in seconds.

DHT_maximum: Maximum total holding time. Specified in seconds.


Note 1: The old settings (DHT, MinDHT, MaxDHT) have been kept so maps that use them won't break, but new maps should use the new settings.

Note 2: An absolute minimum holding time of 1 second is enforced regardless of any of these settings.


FlagInPlay: Enables extension of the game clock if a flag is in play. Can be 0 or 1.